#if !defined(AFX_AUDIOFILEDLG_H__26B6DE88_7DFE_42C8_B499_5BA6C0D7F4A6__INCLUDED_)
#define AFX_AUDIOFILEDLG_H__26B6DE88_7DFE_42C8_B499_5BA6C0D7F4A6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AudioFileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAudioFileDlg dialog

class CAudioFileDlg : public CDialog
{
// Construction
public:
	CAudioFileDlg(CString mis_name,CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAudioFileDlg)
	enum { IDD = IDD_AUDIOFILEDLG };
	CListBox	m_NewFileList;
	CListBox	m_AudList;
	CString	m_AudName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAudioFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void PruneNewList();
	void FillNewList();
	CString MisName,*CurStr;
	// Generated message map functions
	//{{AFX_MSG(CAudioFileDlg)
	afx_msg void OnAdd();
	afx_msg void OnDelete();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAudiolist();
	afx_msg void OnChangeAudname();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AUDIOFILEDLG_H__26B6DE88_7DFE_42C8_B499_5BA6C0D7F4A6__INCLUDED_)
